---------------------------------------------------------------------------------------------------
Version: 1.0.28
Date: 7. 18. 2025
  Major Features:
    - Added heating tower to Cubium start.
    - Cube Jelly ore basic unified for Aquilo and Cubium starts. Aquilo start only required 5 cube jelly instead of 10
    - Now both recipes only require 5 cube jelly
    - Energy required for Cube jelly ore basic now 4 instead of 5 for Aquilo and Cubium starts
---------------------------------------------------------------------------------------------------
Version: 1.0.27
Date: 7. 11. 2025
  Major Features:
    - Cubium research productivity
---------------------------------------------------------------------------------------------------
Version: 1.0.26
Date: 6. 13. 2025
  Major Features:
    - Cubium start - ice dreams recipe unlocked at the start
    - Recipe cube-jelly-awaken. Time 40 --> 27. Water output 100 --> 200
    - Cubium start - electric furnace and prerequisite research unlocked. This should make Cubium start less anemic.
    - Cube mastery - unlocked after crafting a cubic smasher instead of making an inverted cube
---------------------------------------------------------------------------------------------------
Version: 1.0.25
Date: 6. 13. 2025
  Major Features:
    - Added allow_decomposition=false to most recipes
    - iron stick recipe now unlocked by default for Aquilo and Cubium starts
    - small power pole dream recipe unlocked on planet discovery, and by default for Aquilo/Cubium starts
---------------------------------------------------------------------------------------------------
Version: 1.0.24
Date: 6. 3. 2025
  Major Features:
    - Added ignored by productivity tag to energized shards for the inverted shard recipe. Inverted shards can still benefit from productivity
---------------------------------------------------------------------------------------------------
Version: 1.0.23
Date: 5. 24. 2025
  Major Features:
    - Fixed autoplace controls for coal and stone not actually working. 
    - Thanks to SebRenegan for catching this
---------------------------------------------------------------------------------------------------
Version: 1.0.22
Date: 5. 12. 2025
  Major Features:
    - New recipe to recharge the cube: steam bath
    - All recipes now have the order entry. Recipes that are cubic have the following organizational schema. Science,regualr cube synthesis, regular cube recharge, cube jelly, inverted cube, inverted jelly, inverted recipes, emotional refining, misc, buildings
---------------------------------------------------------------------------------------------------
Version: 1.0.21
Date: 5. 11. 2025
  Major Features:
    - Fixed carbon inversion icon.
    - Anger cracking - Gives more fear, less anger. 
    - anger-reconstitution - Gives less anger back. This ensures disgust won't clog up as much.
    - New recipe - hope spoilage. Combine hope and disgust to make spoilage. This process is so peverse it can take a sleppy cube and wake it up.
    - Swapped icons for many cubic recipes (engine unit, sulfuric acid inversion, petrol gas by inversion, light oil by inversion)
    - New technology dream holmium plate. Unlocked with 20000 science packs, including promethium science. 
    - Aquilo start - dream holmium can be unlocked for 500 science packs, after cube mastery 3.
    - Aquilo start - EM plants reverted back to their original recipe. 
    - Autoplace control for coal fixed
    - New recipes - angry ammunition, solid-fuel from hope and dream. 
    - fixed railgun turret localization and changed category to cubic
    - New recipe EM plant ex dream
    - Anger reconstitution icon changed so it is now distinct form anger cracking
    - Angry rockets recipe icon changed.
---------------------------------------------------------------------------------------------------
Version: 1.0.20
Date: 5. 10. 2025
  Major Features:
    - Aquilo start. Lithium recipe altered. No longer uses holmium plates. This was an oversight on my part - forgot you needed holmium. Now you don't have to wander the ammonia seas looking for icebergs to harvest
    - Aquilo start - new recipe. Heat pipe breeding. Raises more questions than answers, but should make the early game go faster.
    - Dream advanced circuit and dream processing unit recipe icons - swapped cloud and circuit board between front and back. Recipes remain unchanged.
    - Aquilo version of inverted-shards recipes - energized-shards get 190 back (same), ignored by productivity now 188. Sure you can eek out more cubes by smashing them. But that isn't really the point of the challenge. 
    - If you want more cubes - make a friend. Or have him join your LAN, drop his cubes and starting materials, then disappear. All players get 100 cubes. 
    - Aquilo start - Foundry technology locked behind turbo-transport-belt-dream research. To help players understand they have to get tungsten by recycling turbo belts
    - Aquilo start - Stack inserter and transport belt cpacity one moved to Aquilo. Transport belt capacity 2 remains a Gleba tech
    - Reasoning - Pretty fair to move it Aquilo for this gamemode. Unique starting scenario is one of the few times I will cannibalize vanilla features.
    - Aquilo start - 100 --> 200 heat pipes. Quality of life really. 
    - Cubium science recipes. Output increased.
---------------------------------------------------------------------------------------------------
Version: 1.0.19
Date: 5. 9. 2025
  Major Features:
    - Cube mastery 5 - reach Aquilo. Two new recipes - inverted jely amplication, carbon inversion.
    - Aquilo start - Railgun turret recipe modified to use cubes and electric engine units. Cubes returned. 
    - Aquilo start - Inverted cube jelly recycling gives carbon instead of stone
    - Aquilo start - Carbon fiber now craftable with cube mastery 5.
    - Ensured cube smasher recycling can't return ultradense substrate on Cubium/Aquilo starts
    - Aquilo start - Tungsten plates should be obtainable. Note that dream recipes don't alter vanilla recycling recipes.
    - Cube mastery 5 - dream foundry recipe for Aquilo. 
    - Cubium start - cube mastery 5 adjusted with dream foundry recipe
    - Aquilo start - fixed quantum processor exploit.
    - Cubium-Aquilo start - recyclers craftable
    - Cubium_Aquilo start - express/turbo belts from dream technology prerequisites moved to cube mastery
    - Turbo transport belt from dream packs - removed space and metallurgic requirement
    - Cubium Turbo transport belt dream - recipes adjusted so there are only 2 fluid inputs. 
---------------------------------------------------------------------------------------------------
Version: 1.0.18
Date: 5. 7. 2025
  Major Features:
    - Modified dream concentrate radios for production and science. (100-->50 from 100--> 35 for dream concentrate)
    - Chemistry recipes now chemistry or cryogenics recipes.
    - Tile names in localization
    - New recipe - ammonia-intoxication. Destroy ammonia with the cube.
---------------------------------------------------------------------------------------------------
Version: 1.0.17
Date: 5. 7. 2025
  Major Features:
    - New recipe - solid fuel massage. Unlocked with cube mastery 4. Use 20 solid fuel to awaken the cube. 
    - Added tags on inverted-shards recipe such that productivity isn't exploitable to m
---------------------------------------------------------------------------------------------------
Version: 1.0.16
Date: 5. 6. 2025
  Major Features:
    - Aquilo start cubic smasher now craftable. My mistake. 
    - Aquilo start: cube-jelly-ore-basic now only takes 5 cube jelly.
    - Cubium start cubic smasher easier to craft
---------------------------------------------------------------------------------------------------
Version: 1.0.15
Date: 5. 6. 2025
  Major Features:
    - Aquilo start: Asteroid processing techs moved to Aquilo tech tree and now use Cryoscience.
    - Aquilo start: 50-->100 Microcubes
    - Aquilo start: asteroid productivity moved to Aquilo tech tree
    - Aquilo and Cubium starts: Cube can be used in furnaces and boilers. Added burnt inventory size to boilers and furnaces so you get the cube back
    - Heating tower burnt inventory size to 3.
    - Cubium start - Cube jelly basic gives 4 cube jelly over 2. This will make start move faster.
    - Cubium start - research up to sulfur processing enabled at start. This will make starting on cubium less anemic. 
---------------------------------------------------------------------------------------------------
Version: 1.0.14
Date: 5. 6. 2025
  Major Features:
    - Cube jelly ore basic -ores now 4->6
    - Advanced cube jelly ores 37->41
    - Aquilo start destabilized cube matter recycling ice now only 10%. Carbon is 40% and now gives 10.  
    - Cube jelly to solid fuel now only needs 25 cube jelly instead of 50.
    - Cubes and shards can no longer be recycled
    - Cubium start: Solar panels and accumulators. I had thought I had added solar panels but I missed it. Thanks to Alexis Chernisky for informing me. 
---------------------------------------------------------------------------------------------------
Version: 1.0.13
Date: 5. 5. 2025
  Major Features:
    - Aquilo start - starter chemical plant, solid fuel, starter ores. More solar panel, accumulator
    - Aquilo start cubium planet discovery research recursive. 
    - Cube fuel type moved to cubic and cubic fuel type now only allowed in heating tower. Boilers and red pump jack were eating cubes. I'll have to test which entities I need to give the burnt_inventory_fuel_size tag to.
---------------------------------------------------------------------------------------------------
Version: 1.0.12
Date: 5. 5. 2025
  Major Features:
    - Aquilo start - chemical plant and pipe recipes enabled.
---------------------------------------------------------------------------------------------------
Version: 1.0.11
Date: 5. 1. 2025
  Major Features:
    - Date now in American format
    - APS planet start Cubium selection now has planet icon. APS now optional dependency. If you want a Cubium start - remember to check Cubium start in the mod settings
    - rocket-fuel-dreams productivity scales with rocket-fuel-productivity tech
    - cube-jelly-plastic productivity scales with plastic-bar-productivity tech
    - dream-processing-unit productivity scales with processing-unit-productivity tech
    - CASTRA BONUS COMPATIBILITY engine-unit-by-inversion productivity scales with engine-productivity tech
    - CASTRA electric-engine-unit-by-inversion productivity scales with engine-productivity tech
    - CASTRA angry-rockets productivity scales with explosive-ammo-productivity tech
    - Thanks to boomshroom for listing out productivity I should integrate.
    - It is up to mod makers to add an alternate science recipe to cubium's cube-mastery-4 technology. Their choice for how they want to design it.
    - Emotional fluid icons updated. Now have cube in center of the droplet. This makes them more distinct 
    - Cubium start - oil processing not a trigger tech. Had forgot to change that one. 
    - Now possible to do an Aquilo start with Cubium installed. You get 50 microcubes and several balance changes to Cubium for Aquilo start. Note that you can't craft any more cubes - you get what you start with.
    - Microcubes can now be used as a chemical fuel - and yield dormant microcubes.
---------------------------------------------------------------------------------------------------
Version: 1.0.10
Date: 22. 4. 2025
  Major Features:
    - Changelog now visible in game 
    - biter egg refresh results always  0% spoiled.
---------------------------------------------------------------------------------------------------
Version: 1.0.9
Date: 10. 4. 2025
  Major Features:
    - Fix crash on start. Sorry
---------------------------------------------------------------------------------------------------
Version: 1.0.8
Date: 10. 4. 2025
  Major Features:
    - Automation science cubic now correctly gives you 2 science packs. Thanks to freredoc for bringing this to my attention.
    - Cubium start with any planet start mod
---------------------------------------------------------------------------------------------------
Version: 1.0.7
Date: 4. 4. 2025
  Major Features:
    - Archived unused textured. 
    - Removed 17MB texture that isn't used.
    - Cube smasher selection vertical area box decreased.
---------------------------------------------------------------------------------------------------
Version: 1.0.6
Date: 19. 3. 2025
  Major Features:
    - Reworked microcube recipes. It turns out the probability on result dooesn't work as how I thought. It attempts to generate an item for each result that has a probability attached to it. In practice, this means one craft can give you back both a dormant cube and an active cube. This also means you can get back nothing. In long term testing - this made some recipes generate cubes while others ate cubes. The point of using porbability in the first place was to make it easier to reuse the same cube, but this makes it more complicated when you consider unauthorized cube breeding and cube eating.
    - Space cube recovery recipe reworked with probability behavior in mind. It always shatters the cube, but costs much less.
    - Recipes for express belts with the cube and dream concentrate. Locked behind a cheap technology that requires cube mastery 4 and logistics 3 
    - Recipes for turbo transport belts with the inverted cube. Locked behind a cheap technology that requires cube mastery 4 and turbo transport belt.
    - SSub Icon shift now zero, from 140. I think it looks nicer with everything centered and the cube in the background
---------------------------------------------------------------------------------------------------
Version: 1.0.5
Date: 14. 3. 2025
  Major Features:
    - carbonic scaffolding input cost reduced. 20-12 jelly. 30->15 carbon
    - liquid dream recipe cost reduced. 10 to 3 dream
    - fear courage steam buffed now 5000 steam
    - ice dreams - 3 to 7 ice
    - added a cubic category, moved items and recipes there.
    - rocket fuel from dreams 10 --> 15
    - Cost of liquid dream is 4 --> 3 dream. Now 200 water, and 200 dream out. (was 100 and 100)
    - cube-jelly-to-solid-fuel now gives 2 solid fuel. 
    - cube jelly to steam now takes 7 jelly, from 4
    - Added alternative ways to craft the science packs with the cube and dream concentrate and microcubes. This should mesh well with farming biters for dream concentrate.
    - In general, these alternative recipes take the microcubecube and dream concentrate, and give double the science back from the same other ingredients! Dream big. Dream of more science
    - I ignored space science because its already easy to get a lot of it.
---------------------------------------------------------------------------------------------------
Version: 1.0.4
Date: 14. 3. 2025
  Major Features:
    - ice dreams recipe buffed. Cost of 10 dream reduced to 2 dream
    - cube jelly plastic recipe moved to cube mastery 1 from cube mastery 2.
    - cube jelly steam - now takes a microcube and gives a dormant cube. Now gives 25 steam.
    - cube jelly plastic recipe now takes half as much inputs 
    - metallic aggravation - fixed typo in localization files. No longer takes iron as input
    - New recipe cube-jelly-awaken. Use cube jelly to awaken a cube and make some water too!
    - Cube jelly now takes 3 minutes to spoil instead of 2. Destabilized cube matter now spoils in 5 minutes - from 10
    - Destabilized cube matter recycling - now gives 4 ice and 2 iron ore when rolled.
    - From cube smashing - chance of inverted shards now 30%, from 20%
    - New recipe - convert biter eggs to dream concentrate.
    - Metallic aggravation gets its own trigger technology, to help players guide players toward recharging the cube.
---------------------------------------------------------------------------------------------------
Version: 1.0.3
Date: 12. 3. 2025
  Major Features:
    - added carbon recipe to the planet discovery instead of modifying alternative unlock
    - cube jelly and inverted cube jelly are now chemical fuels. Had wanted to do something special with cube fuels but that didn't pan out
    - Ultradense substrate to cube recipe is no longer recyclable.
    - Initial cube jelly recipes now give 2.
    - Attempted to create a scenario for starting on cubium, and I failed.
    - You can now smash dormant cube for some energized shards back
---------------------------------------------------------------------------------------------------
Version: 1.0.2
Date: 15. 2. 2025
  Major Features:
    - Unlock dream fuel and add missing texts.
---------------------------------------------------------------------------------------------------
Version: 1.0.1
Date: 5. 2. 2025
  Major Features:
    - Progression hot fix
---------------------------------------------------------------------------------------------------
Version: 1.0.0
Date: 5. 2. 2025
  Major Features:
    - Initial release. Welcome back to the Age of Cube!





